#
# spec file for package gf (Version 0.46)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  jade_dsl sp

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         gf
Release:      16
Copyright:    (c) Gary Houston, GPL
Group: 
Provides:     gf 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      0.46
Summary:      A "general formatter" for SGML documents
Source: gf-0.46.tar.gz
Patch: gf-0.46.dif
%description
`gf' from Gary Houston is short for "general formatter", i.e., it can
work on documents which use the ISO "general" document type definition
(DTD). It can convert SGML documents conforming to a small number of
DTDs into various output formats: LaTeX, ASCII, RTF and Texinfo. However
not every output format can be generated for every DTD.
Apart from the general DTD, gf supports the HTML DTD used in the WWW
project and Gary's Snafu DTD.  `gf' is not intended as a flexible system
for hacking up a formatter for a random DTD, but as a usable document
production system for a few DTDs.

Authors:
--------
    Gary Houston <ghouston@actrix.gen.nz>

%prep
%setup
%patch
%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 
%install
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ;
# Need an installed gf
(cd doc && make info install-info)
Check
%files
%dir /usr/share/sgml
%dir /usr/share/sgml/gf
/usr/bin/gf
%doc COPYING NEWS README doc/gf.sgml doc/snafu.sgml
%doc /usr/info/gf.info.gz
%doc /usr/info/snafu.info.gz
%doc /usr/man/man1/gf.1.gz
/usr/share/sgml/gf/GFextra.2ab
/usr/share/sgml/gf/GFextra.2as
/usr/share/sgml/gf/GFextra.2l1b
/usr/share/sgml/gf/GFextra.2l1s
/usr/share/sgml/gf/GFextra.2rtf
/usr/share/sgml/gf/GFextra.2tex
/usr/share/sgml/gf/GFextra.2texi
/usr/share/sgml/gf/HTML3.2.dtd
/usr/share/sgml/gf/ISOdia
/usr/share/sgml/gf/ISOdia.2ab
/usr/share/sgml/gf/ISOdia.2as
/usr/share/sgml/gf/ISOdia.2l1b
/usr/share/sgml/gf/ISOdia.2l1s
/usr/share/sgml/gf/ISOdia.2rtf
/usr/share/sgml/gf/ISOdia.2tex
/usr/share/sgml/gf/ISOdia.2texi
/usr/share/sgml/gf/ISOlat1
/usr/share/sgml/gf/ISOlat1.2ab
/usr/share/sgml/gf/ISOlat1.2as
/usr/share/sgml/gf/ISOlat1.2l1b
/usr/share/sgml/gf/ISOlat1.2l1s
/usr/share/sgml/gf/ISOlat1.2rtf
/usr/share/sgml/gf/ISOlat1.2tex
/usr/share/sgml/gf/ISOlat1.2texi
/usr/share/sgml/gf/ISOlat1.sgml
/usr/share/sgml/gf/ISOlat2
/usr/share/sgml/gf/ISOlat2.2ab
/usr/share/sgml/gf/ISOlat2.2as
/usr/share/sgml/gf/ISOlat2.2l1b
/usr/share/sgml/gf/ISOlat2.2l1s
/usr/share/sgml/gf/ISOlat2.2rtf
/usr/share/sgml/gf/ISOlat2.2tex
/usr/share/sgml/gf/ISOlat2.2texi
/usr/share/sgml/gf/ISOnum
/usr/share/sgml/gf/ISOnum.2ab
/usr/share/sgml/gf/ISOnum.2as
/usr/share/sgml/gf/ISOnum.2l1b
/usr/share/sgml/gf/ISOnum.2l1s
/usr/share/sgml/gf/ISOnum.2rtf
/usr/share/sgml/gf/ISOnum.2tex
/usr/share/sgml/gf/ISOnum.2texi
/usr/share/sgml/gf/ISOpub
/usr/share/sgml/gf/ISOpub.2ab
/usr/share/sgml/gf/ISOpub.2as
/usr/share/sgml/gf/ISOpub.2l1b
/usr/share/sgml/gf/ISOpub.2l1s
/usr/share/sgml/gf/ISOpub.2rtf
/usr/share/sgml/gf/ISOpub.2tex
/usr/share/sgml/gf/ISOpub.2texi
/usr/share/sgml/gf/ISOtech
/usr/share/sgml/gf/ISOtech.2ab
/usr/share/sgml/gf/ISOtech.2as
/usr/share/sgml/gf/ISOtech.2l1b
/usr/share/sgml/gf/ISOtech.2l1s
/usr/share/sgml/gf/ISOtech.2rtf
/usr/share/sgml/gf/ISOtech.2tex
/usr/share/sgml/gf/ISOtech.2texi
/usr/share/sgml/gf/cat_general
/usr/share/sgml/gf/cat_html
/usr/share/sgml/gf/cat_sletter
/usr/share/sgml/gf/cat_smemo
/usr/share/sgml/gf/cat_snafu
/usr/share/sgml/gf/cat_spaper
/usr/share/sgml/gf/cat_style
/usr/share/sgml/gf/general.dtd
/usr/share/sgml/gf/general.style
/usr/share/sgml/gf/general.template
/usr/share/sgml/gf/generalsty.dtd
/usr/share/sgml/gf/generalsty.sgml
/usr/share/sgml/gf/html-1.dtd
/usr/share/sgml/gf/html-1s.dtd
/usr/share/sgml/gf/html-s.dtd
/usr/share/sgml/gf/html.decl
/usr/share/sgml/gf/html.default
/usr/share/sgml/gf/html.dtd
/usr/share/sgml/gf/html.style
/usr/share/sgml/gf/html.template
/usr/share/sgml/gf/htmlsty.dtd
/usr/share/sgml/gf/htmlsty.sgml
/usr/share/sgml/gf/lat1.2sdata
/usr/share/sgml/gf/scommon2.dtd
/usr/share/sgml/gf/scommon3.dtd
/usr/share/sgml/gf/scommon4.dtd
/usr/share/sgml/gf/sletter.style
/usr/share/sgml/gf/sletter.template
/usr/share/sgml/gf/smemo.style
/usr/share/sgml/gf/smemo.template
/usr/share/sgml/gf/smemo2.dtd
/usr/share/sgml/gf/smemo3.dtd
/usr/share/sgml/gf/smemo4.dtd
/usr/share/sgml/gf/snafu5.dtd
/usr/share/sgml/gf/snafusty.dtd
/usr/share/sgml/gf/snafusty.sgml
/usr/share/sgml/gf/spaper.style
/usr/share/sgml/gf/spaper.template
/usr/share/sgml/gf/spaper2.dtd
/usr/share/sgml/gf/spaper3.dtd
/usr/share/sgml/gf/spaper4.dtd
/usr/share/sgml/gf/styledoc.dtd

